Package org.apache.lucene.queryparser.flexible.standard.config

# Enum Class StandardQueryConfigHandler.Operator

java.lang.Object
java.lang.Enum<StandardQueryConfigHandler.Operator>
org.apache.lucene.queryparser.flexible.standard.config.StandardQueryConfigHandler.Operator

All Implemented Interfaces:
  `Serializable`, `Comparable<StandardQueryConfigHandler.Operator>`, `Constable`

Enclosing class:
  `StandardQueryConfigHandler`

public static enum StandardQueryConfigHandler.Operator extends Enum<StandardQueryConfigHandler.Operator>
Boolean Operator: AND or OR

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AND`
`OR`

## Method Summary

Modifier and Type
Method
Description
`static StandardQueryConfigHandler.Operator`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StandardQueryConfigHandler.Operator[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AND

public static final StandardQueryConfigHandler.Operator AND

### OR

public static final StandardQueryConfigHandler.Operator OR

## Method Details

### values

public static StandardQueryConfigHandler.Operator[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StandardQueryConfigHandler.Operator valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null